### Class

# Spelling Language

#### Description [src]

    final class Spelling.Language : GObject.Object
    {
      /* No available fields */
    }

Represents a spellchecking language.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### spelling_language_get_code

Gets the code of the language, or `NULL` if undefined.

###### spelling_language_get_group

Gets the group of the language, or `NULL` if undefined.

###### spelling_language_get_name

Gets the name of the language, or `NULL` if undefined.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Spelling.Language:code

The language code.

###### Spelling.Language:group

A group for sorting, usually the country name.

###### Spelling.Language:name

The name of the language.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SpellingLanguageClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.